Skip to main content
POST
/
public
/
v1
/
patients
/
{patient_id}
/
notes
Create Patient Note
curl --request POST \
  --url https://app.silnahealth.com/api/public/v1/patients/{patient_id}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": null,
  "file_id": null
}
'
{
  "patient_note_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt

Use this file to discover all available pages before exploring further.

These notes are intended for use by provider users only to store internal context about a patient. Silna does not use these notes to complete tasks.

Creating a Patient Note

A patient note can contain text, an attached file, or both. At least one of note or file_id must be provided.
  1. To attach a file, first upload it using the Upload File API and use the returned file id as the file_id.
  2. Use this endpoint to create the note with the patient_id of the patient you want to add the note to.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

patient_id
string
required

Body

application/json
note
string | null

The note text. At least one of note or file_id must be provided.

file_id
string<uuid> | null

UUID of an uploaded file to attach to this note. At least one of note or file_id must be provided.

Response

patient_note_id
string<uuid>
required